import React, {useState, useCallback, useEffect} from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';
import { message } from './message';

const csvUrl="https://gist.githubusercontent.com/DragonEnergy/f071fad08ffadd75ed43412de2f46335/raw/399a87b5c9544ce67b5e8f2e07ffc8522d16699d/RDG.csv"; 	

const App = () => {
  		const [data, setData] = useState(null);

      useEffect(() => {
        csv(csvUrl).then(setData);
        console.log('Fething Data');
      }, []);
  
      return <pre>{data ? message(data) : 'Loading...'}</pre>;

}


const rootElement = document.getElementById('root');
  
ReactDOM.render(<App />, rootElement);